import antfu from '@antfu/eslint-config'
import unocss from '@unocss/eslint-plugin'

export default antfu(
  {
    ignores: [
      'public',
      'node_modules',
      'dist',
    ],
  },
  {
    rules: {
      'no-console': 'off',
      'node/prefer-global/process': 'off',
      'vue/custom-event-name-casing': 'off',
      'vue/component-name-in-template-casing': 'off',
      'vue/require-toggle-inside-transition': 'off',
      'ts/no-use-before-define': 'off',
      'no-unused-expressions': 'off',
      '@typescript-eslint/no-unused-expressions': 'off',
      'regexp/no-unused-capturing-group': 'off',
    },
  },
  unocss.configs.flat,
)
