import type { MenuItem } from '@/api/system/menu/types'

export interface LoginParams {
  username: string
  password: string
  tenantId: string
}

export interface LoginResult extends User {
  userId: string
  access_token: string
  refresh_token: string
}

export interface UserInfo {
  user: User
  menus: MenuItem[]
  buttons: string[]
}

export interface User {
  user_id: string
  tenant_id: string
  account: string
  real_name: string
  nick_name: string
  avatar?: string
  role_id: string
  role_name: string
  phone: string
}
