export interface GetDictListParams extends PageParam {
}

export interface GetDictChildListParams extends PageParam {
  parentId: string
}

export interface SystemDict {
  id: string
  code: string
  dictKey: string
  dictValue: string
  hasChildren: boolean
  isDeleted: number
  isSealed: number
  parentId: string
  parentName: string
  remark: string
  sort: number
}

export interface SystemDictChild extends SystemDict {
}

export interface SystemDictTree extends SystemDictTreeItem {
  children: SystemDictTree[]
}

export interface SystemDictTreeItem {
  id: string
  hasChildren: boolean
  key: string
  parentId: string
  title: string
  value: string
}
