export interface GetRoleListParams extends PageParam {
  tenantId?: string
  parentId?: string
  roleName?: string
  roleAlias?: string
}

export interface Role {
  id: string
  tenantId: string
  tenantName: string
  parentId: string
  roleName: string
  roleAlias: string
  createTime?: string
  createUser?: string
  createDept?: string
  updateTime?: string
  updateUser?: string
  hasChildren?: boolean
  children?: Role[]
}

export interface MenuTreeNode {
  id: string
  parentId: string
  title: string
  hasChildren: boolean
  children?: MenuTreeNode[]
}

export interface GrantParams {
  apiScopeIds: string[]
  dataScopeIds: string[]
  menuIds: string[]
  roleIds: string[]
  topMenuIds: string[]
}
