export const SIDE_BAR_MINI_WIDTH = 48
export const SIDE_BAR_SHOW_TIT_MINI_WIDTH = 80

export enum ContentEnum {
  // auto width
  FULL = 'full',
  // fixed width
  FIXED = 'fixed',
}

// menu theme enum
export enum ThemeEnum {
  DARK = 'dark',
  LIGHT = 'light',
}

export enum SettingButtonPositionEnum {
  AUTO = 'auto',
  HEADER = 'header',
  FIXED = 'fixed',
}

export enum SessionTimeoutProcessingEnum {
  ROUTE_JUMP,
  PAGE_COVERAGE,
}

// Route switching animation
// 路由切换动画
export enum RouterTransitionEnum {
  ZOOM_FADE = 'zoom-fade',
  ZOOM_OUT = 'zoom-out',
  FADE_SIDE = 'fade-slide',
  FADE = 'fade',
  FADE_BOTTOM = 'fade-bottom',
  FADE_SCALE = 'fade-scale',
}

export enum IconEnum {
  VIEW = 'i-ant-design:file-search-outlined',
  ADD = 'i-ant-design:plus-outlined',
  IMPORT = 'i-ant-design:vertical-align-top-outlined',
  EXPORT = 'i-ant-design:vertical-align-bottom-outlined',
  TEST = 'i-ant-design:deployment-unit-outlined',
  EDIT = 'i-ant-design:edit-outlined',
  AUTH = 'i-ant-design:safety-certificate-outlined',
  DELETE = 'i-ant-design:delete-outlined',
  SEARCH = 'i-ant-design:search-outlined',
  RESET = 'i-ant-design:sync-outlined',
  UPLOAD = 'i-ant-design:cloud-upload-outlined',
  DOWNLOAD = 'i-ant-design:cloud-download-outlined',
  PREVIEW = 'i-ant-design:eye-outlined',
  ADD_FOLD = 'i-ant-design:folder-add-outlined',
  LOG = 'i-ant-design:exception-outlined',
  PASSWORD = 'i-ant-design:key-outlined',
  SETTING = 'i-ant-design:setting-outlined',
  SEND = 'i-ant-design:send-outlined',
}
