import type { BasicColumn, FormSchema } from '@/components/Table'

export const columns: BasicColumn[] = [
  {
    title: '服务id',
    dataIndex: 'serviceId',
  },
  {
    title: '服务host',
    dataIndex: 'serverHost',
  },
  {
    title: '服务ip',
    dataIndex: 'serverIp',
  },
  {
    title: '软件环境',
    dataIndex: 'env',
  },
  {
    title: '错误信息',
    dataIndex: 'message',
  },
  {
    title: '请求方法',
    dataIndex: 'method',
  },
  {
    title: '请求接口',
    dataIndex: 'requestUri',
  },
  {
    title: '日志时间',
    dataIndex: 'createTime',
  },
]

export const searchFormSchema: FormSchema[] = [
  {
    label: '服务id',
    field: 'serviceId',
    component: 'Input',
    colProps: { span: 5 },
  },
  {
    label: '服务host',
    field: 'serverHost',
    component: 'Input',
    colProps: { span: 5 },
  },
]
