import { defHttp } from '@/utils/http/axios'

export function getSystemDictionary(code: string) {
  return defHttp.get({
    url: `/baymax-system/dict/dictionary?code=${code}`,
  }).then((res) => {
    return res.map(item => ({
      ...item,
      label: item.dictValue,
      value: +item.dictKey,
    }))
  })
}
