export interface GetDictbizListParams extends PageParam {
}

export interface GetDictbizChildListParams extends PageParam {
  parentId: string
}

export interface SystemDictbiz {
  id: string
  code: string
  dictKey: string
  dictValue: string
  hasChildren: boolean
  isDeleted: number
  isSealed: number
  parentId: string
  parentName: string
  remark: string
  sort: number
  tenantId: string
}

export interface SystemDictbizChild extends SystemDictbiz {
}

export interface SystemDictbizTree extends SystemDictbizTreeItem {
  children: SystemDictbizTree[]
}

export interface SystemDictbizTreeItem {
  id: string
  hasChildren: boolean
  key: string
  parentId: string
  title: string
  value: string
}
