export interface GetUsualListParams extends PageParam {
}
export interface GetAplListParams extends PageParam {
}
export interface GetErrorListParams extends PageParam {
}

export interface SystemLogUsual {
  id: string
  createTime: string
  env: string
  logData: string
  logId: string
  logLevel: string
  method: string
  methodClass: string
  methodName: string
  params: string
  remoteIp: string
  requestUri: string
  serverHost: string
  serverIp: string
  serviceId: string
  tenantId: string
  userAgent: string
}

export interface SystemLogApi {
  id: string
  createTime: string
  env: string
  method: string
  methodClass: string
  methodName: string
  params: string
  remoteIp: string
  requestUri: string
  serverHost: string
  serverIp: string
  serviceId: string
  tenantId: string
  userAgent: string
  title: string
  type: string
}

export interface SystemErrorApi {
  id: string
  createTime: string
  env: string
  exceptionName: string
  fileName: string
  lineNumber: number
  message: string
  logData: string
  logId: string
  logLevel: string
  method: string
  methodClass: string
  methodName: string
  params: string
  remoteIp: string
  requestUri: string
  serverHost: string
  serverIp: string
  serviceId: string
  tenantId: string
  userAgent: string
  stackTrace: string
}
