import { createContextMenu, destroyContextMenu } from '@/components/ContextMenu'
import { getCurrentInstance, onUnmounted } from 'vue'

export function useContextMenu(authRemove = true) {
  if (getCurrentInstance() && authRemove) {
    onUnmounted(() => {
      destroyContextMenu()
    })
  }
  return [createContextMenu, destroyContextMenu]
}
