import type { App } from 'vue'
import { registerPiniaPersistPlugin } from '@/store/plugin/persist'
import { createPinia } from 'pinia'

const store = createPinia()
registerPiniaPersistPlugin(store)

export function setupStore(app: App<Element>) {
  app.use(store)
}

export { store }
